% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/ec2_operations.R
\name{ec2_disassociate_transit_gateway_route_table}
\alias{ec2_disassociate_transit_gateway_route_table}
\title{Disassociates a resource attachment from a transit gateway route table}
\usage{
ec2_disassociate_transit_gateway_route_table(TransitGatewayRouteTableId,
  TransitGatewayAttachmentId, DryRun)
}
\arguments{
\item{TransitGatewayRouteTableId}{[required] The ID of the transit gateway route table.}

\item{TransitGatewayAttachmentId}{[required] The ID of the attachment.}

\item{DryRun}{Checks whether you have the required permissions for the action, without
actually making the request, and provides an error response. If you have
the required permissions, the error response is \code{DryRunOperation}.
Otherwise, it is \code{UnauthorizedOperation}.}
}
\value{
A list with the following syntax:\preformatted{list(
  Association = list(
    TransitGatewayRouteTableId = "string",
    TransitGatewayAttachmentId = "string",
    ResourceId = "string",
    ResourceType = "vpc"|"vpn"|"direct-connect-gateway"|"connect"|"peering"|"tgw-peering",
    State = "associating"|"associated"|"disassociating"|"disassociated"
  )
)
}
}
\description{
Disassociates a resource attachment from a transit gateway route table.
}
\section{Request syntax}{
\preformatted{svc$disassociate_transit_gateway_route_table(
  TransitGatewayRouteTableId = "string",
  TransitGatewayAttachmentId = "string",
  DryRun = TRUE|FALSE
)
}
}

\keyword{internal}
